include ../Makefile.common

OBJ = $(patsubst %.c,%.o,$(wildcard src/*.c))
LIBNAME = libtrimeshloader.a
CFLAGS += -Iinclude

all: $(LIBNAME)

$(LIBNAME): $(OBJ)
		@echo Creating archive $@
		@ar -csru $@ $(OBJ)
		@echo
		
clean:
	-@$(RM) src$(SLASH)*.o
	-@$(RM) src$(SLASH)*.d
	-@$(RM) $(LIBNAME)
